/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/core/context.hpp>

namespace nostalgia::core {

struct GbaContext: public core::Context {

	turbine::Context &turbineCtx;

	explicit GbaContext(turbine::Context &tctx) noexcept;

	[[nodiscard]]
	ox::MemFS const&rom() const noexcept {
		return static_cast<ox::MemFS const&>(*turbine::rom(turbineCtx));
	}

};

}